# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Carp/Always.pm) perl(Cwd.pm) perl(Data/Dumper.pm) perl(Devel/Cover.pm) perl(Devel/Cover/Report/Clover.pm) perl(English.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Path.pm) perl(File/Slurp.pm) perl(File/Temp.pm) perl(FindBin.pm) perl(Getopt/Long.pm) perl(IPC/Cmd.pm) perl(Log/Log4perl.pm) perl(Log/Log4perl/Level.pm) perl(Modern/Perl.pm) perl(Params/Validate.pm) perl(Perl/Tidy.pm) perl(Pod/Coverage/CountParents.pm) perl(Scalar/Util.pm) perl(Storable.pm) perl(TAP/Harness/JUnit.pm) perl(Template.pm) perl(Test/Differences.pm) perl(Test/More.pm) perl(Test/Most.pm) perl(Try/Tiny.pm) perl(autodie.pm) perl(fields.pm) perl(lib.pm)
# END SourceDeps(oneline)
%define module_name Test-Harness-KS
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.004
Release: alt1
Summary: Harness the power of clover and junit in one easy to use wrapper.
Group: Development/Perl
License: gpl
URL: https://github.com/kivilahtio/Test-Harness-KS

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/K/KI/KIVILAHTI/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
Runs given test files and generates clover, html and junit test reports to the given directory.

Automatically sorts given test files by directory and deduplicates them.

See

 test-harness-ks --help

for commandline usage

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %EVR

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE README.md
%perl_vendor_privlib/T*

%files scripts
%_bindir/*

%changelog
* Sat Sep 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.004-alt1
- initial import by package builder

